package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.Partner;
import com.lightinit.hsdataplatform.entity.PartnerExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PartnerMapper {
    long countByExample(PartnerExample example);

    int deleteByExample(PartnerExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Partner record);

    int insertSelective(Partner record);

    List<Partner> selectByExampleWithBLOBs(PartnerExample example);

    List<Partner> selectByExample(PartnerExample example);

    Partner selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Partner record, @Param("example") PartnerExample example);

    int updateByExampleWithBLOBs(@Param("record") Partner record, @Param("example") PartnerExample example);

    int updateByExample(@Param("record") Partner record, @Param("example") PartnerExample example);

    int updateByPrimaryKeySelective(Partner record);

    int updateByPrimaryKeyWithBLOBs(Partner record);

    int updateByPrimaryKey(Partner record);
}